using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 培训效果评估表结果表
    /// </summary>
    [Description("培训效果评估表结果表")]
    public class T_SE_TRAINING_EFFECT_EVALUATION_END : MesEntityBase
    {
        /// <summary>
        /// 培训效果评估表结果表
        /// </summary>
        [Description("培训效果评估表结果表")]
        [DataFieldForeignKey("Nav_TrainingEffect","Nav_ResultList")]
        public Guid TRAINING_EFFECT_EVALUATION_ID { get; set; }
        /// <summary>
        /// 导航: 培训效果评估表
        /// </summary>
        [Description("导航: 培训效果评估表")]
        public T_SE_TRAINING_EFFECT_EVALUATION Nav_TrainingEffect { get; set; }
        /// <summary>
        /// 评估结果好
        /// </summary>
        [Description("评估结果好")]
        [DataFieldLength(100)]
        [FormFieldEdit]
        public string GOOD_RATION { get; set; }
        /// <summary>
        /// 评估结果较好
        /// </summary>
        [Description("评估结果较好")]
        [DataFieldLength(100)]
        [FormFieldEdit]
        public string BETTER_RATION { get; set; }
        /// <summary>
        /// 评估结果一般
        /// </summary>
        [Description("评估结果一般")]
        [DataFieldLength(100)]
        [FormFieldEdit]
        public string NORMAL_RATION { get; set; }
        /// <summary>
        /// 评估结果差
        /// </summary>
        [Description("评估结果差")]
        [DataFieldLength(100)]
        [FormFieldEdit]
        public string BAD_RATION { get; set; }
        /// <summary>
        /// 培训效果评估调查题目ID
        /// </summary>
        [Description("培训效果评估调查题目")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Subject")]
        public Guid SUBJECT_ID { get; set; }
        /// <summary>
        /// 导航: 培训效果评估调查题目
        /// </summary>
        [Description("导航: 培训效果评估调查题目")]
        public T_SE_TRAINING_SURVEY_SUBJECT Nav_Subject { get; set; }

    }
}
